---
title: Functions
slug: Web/XPath/Functions
tags:
  - Transforming_XML_with_XSLT
  - XPath
  - XPath_Reference
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }} The following is an annotated list of core <a href="/en/XPath" title="en/XPath">XPath</a> functions and <a href="/en/XSLT" title="en/XSLT">XSLT</a>-specific additions to XPath, including a description, syntax, a list of arguments, result-type, source in the appropriate W3C Recommendation, and degree of present <a href="/en/Gecko" title="en/Gecko">Gecko</a> support. For further information on using XPath/XSLT functions, please see the <a href="/en/Transforming_XML_with_XSLT/For_Further_Reading" title="en/Transforming_XML_with_XSLT/For_Further_Reading">For Further Reading</a> page.</p>

<ul>
 <li><a href="/en/XPath/Functions/boolean" title="en/XPath/Functions/boolean">boolean()</a></li>
 <li><a href="/en/XPath/Functions/ceiling" title="en/XPath/Functions/ceiling">ceiling()</a></li>
 <li><a href="/en/XPath/Functions/choose" title="en/XPath/Functions/choose">choose()</a></li>
 <li><a href="/en/XPath/Functions/concat" title="en/XPath/Functions/concat">concat()</a></li>
 <li><a href="/en/XPath/Functions/contains" title="en/XPath/Functions/contains">contains()</a></li>
 <li><a href="/en/XPath/Functions/count" title="en/XPath/Functions/count">count()</a></li>
 <li><a href="/en/XPath/Functions/current" title="en/XPath/Functions/current">current()</a> <em>XSLT-specific</em></li>
 <li><a href="/en/XPath/Functions/document" title="en/XPath/Functions/document">document()</a> <em>XSLT-specific</em></li>
 <li><a href="/en/XPath/Functions/element-available" title="en/XPath/Functions/element-available">element-available()</a></li>
 <li><a href="/en/XPath/Functions/false" title="en/XPath/Functions/false">false()</a></li>
 <li><a href="/en/XPath/Functions/floor" title="en/XPath/Functions/floor">floor()</a></li>
 <li><a href="/en/XPath/Functions/format-number" title="en/XPath/Functions/format-number">format-number()</a> <em>XSLT-specific</em></li>
 <li><a href="/en/XPath/Functions/function-available" title="en/XPath/Functions/function-available">function-available()</a></li>
 <li><a href="/en/XPath/Functions/generate-id" title="en/XPath/Functions/generate-id">generate-id()</a> <em>XSLT-specific</em></li>
 <li><a href="/en/XPath/Functions/id" title="en/XPath/Functions/id">id()</a> <em>(partially supported)</em></li>
 <li><a href="/en/XPath/Functions/key" title="en/XPath/Functions/key">key()</a> <em>XSLT-specific</em></li>
 <li><a href="/en/XPath/Functions/lang" title="en/XPath/Functions/lang">lang()</a></li>
 <li><a href="/en/XPath/Functions/last" title="en/XPath/Functions/last">last()</a></li>
 <li><a href="/en/XPath/Functions/local-name" title="en/XPath/Functions/local-name">local-name()</a></li>
 <li><a href="/en/XPath/Functions/name" title="en/XPath/Functions/name">name()</a></li>
 <li><a href="/en/XPath/Functions/namespace-uri" title="en/XPath/Functions/namespace-uri">namespace-uri()</a></li>
 <li><a href="/en/XPath/Functions/normalize-space" title="en/XPath/Functions/normalize-space">normalize-space()</a></li>
 <li><a href="/en/XPath/Functions/not" title="en/XPath/Functions/not">not()</a></li>
 <li><a href="/en/XPath/Functions/number" title="en/XPath/Functions/number">number()</a></li>
 <li><a href="/en/XPath/Functions/position" title="en/XPath/Functions/position">position()</a></li>
 <li><a href="/en/XPath/Functions/round" title="en/XPath/Functions/round">round()</a></li>
 <li><a href="/en/XPath/Functions/starts-with" title="en/XPath/Functions/starts-with">starts-with()</a></li>
 <li><a href="/en/XPath/Functions/string" title="en/XPath/Functions/string">string()</a></li>
 <li><a href="/en/XPath/Functions/string-length" title="en/XPath/Functions/string-length">string-length()</a></li>
 <li><a href="/en/XPath/Functions/substring" title="en/XPath/Functions/substring">substring()</a></li>
 <li><a href="/en/XPath/Functions/substring-after" title="en/XPath/Functions/substring-after">substring-after()</a></li>
 <li><a href="/en/XPath/Functions/substring-before" title="en/XPath/Functions/substring-before">substring-before()</a></li>
 <li><a href="/en/XPath/Functions/sum" title="en/XPath/Functions/sum">sum()</a></li>
 <li><a href="/en/XPath/Functions/system-property" title="en/XPath/Functions/system-property">system-property()</a> <em>XSLT-specific</em></li>
 <li><a href="/en/XPath/Functions/translate" title="en/XPath/Functions/translate">translate()</a></li>
 <li><a href="/en/XPath/Functions/true" title="en/XPath/Functions/true">true()</a></li>
 <li><a href="/en/XPath/Functions/unparsed-entity-url" title="en/XPath/Functions/unparsed-entity-url">unparsed-entity-url()</a> <em>XSLT-specific</em> <em>(not supported)</em></li>
</ul>

<p>{{QuickLinksWithSubpages("/en-US/docs/Web/XPath")}}</p>
